/*
Seyes est un logiciel libre
sous licence GNU GPL
écrit par Arnaud Champollion
*/



@font-face {
    font-family: 'AA Cursive';
    src: url('polices/ABcursive-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'Open Dyslexic';
    src: url('polices/OpenDyslexic-Regular.otf') format('truetype');
}

@font-face {
    font-family: 'Belle Allure GS';
    src: url('polices/BelleAllureGS-Gros.otf') format('truetype');
}


@font-face {
    font-family: 'Belle Allure CE';
    src: url('polices/BelleAllureCE-Gros.otf') format('truetype');
}

@font-face {
    font-family: 'Belle Allure CM';
    src: url('polices/BelleAllureCM-Gros.otf') format('truetype');
}

:root {
    --decalage-depart: 0px;
    --decalage-position: 0px;
    --largeur-marge-secondaire: 100px; 

}


::selection {
  background-color: rgba(0, 255, 255, 0.568);  
}

* {
    margin:0;
    padding:0;
  }

html {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    align-items: stretch;
    min-height: 100%;
    font-size: 0;
    padding: 0;
    margin: 0;
    overflow-y:auto;
    background-color: white;    
}

#boutons {
    position: fixed;
    border: 3px solid black;
    padding: 8px;
    border-radius: 10px;
    background-color: rgb(255, 255, 255);
    z-index: 100;
}

#marge {
    width: 20%;
    display: flex;
    flex-direction: row;    
}

#marge1 {    
    flex: 1;
}

#marge2 {
    display: none;
    width: var(--largeur-marge-secondaire);
    border-left: 2px solid #000000;
}

#boutons button, #boutons input, #boutons select, #zone_couleur, #boutons label, #opacite {
    display: inline-block;
    width: 50px;
    height: 50px;
    margin : 5px;
    background-color: transparent;
    border: none;
    background-size: contain;
    vertical-align: middle;
}

#opacite {
    background-image:url(images/carreau_degrade.svg);
    background-repeat: no-repeat;
    border-radius: 10%;
    height: 46px;
    width: 46px;
    border: 2px solid black;
}

#reglage_opacite {
    width:43px !important;
    margin: 0 !important;
    vertical-align: middle !important;
}

/* Masquer l'input de type fichier */
input[type="file"] {
    display: none !important;
}

.bouton-musique {
    position: absolute;
    left: 5px;
    height: 38px;
    width: 38px;
    border: none;
    outline: none;
    padding: 0px;
    z-index: 1000;
    background-position: top left;    
}

#bouton-audio {
    bottom: 48px;
    background-image: url(images/play.png);
    background-color: transparent;
}

.bouton-musique>div {
    width: 40px;
    height: 40px;
    position: absolute;
    top: 50%;
    left: 43px;
    transform: translateY(-50%);
    background-size: contain;
}

.bouton-musique>div:hover{
    background-image: url(images/move.svg);
}

.new {
    border-radius: 50%;
    box-shadow: 0 0 20px 10px rgba(255, 0, 0, 0.6); /* Ombre rouge circulaire */
}

.new::after {
    content : 'nouveau';
    position: absolute;
    top: -20px;
    left: 0px;
    font-weight: bold;
    color: red;
}

#bouton-stop {
    bottom: 5px;
    background-image: url(images/stop.png);
    background-color: transparent;
}

#bouton-audio.pause {
    background-position: bottom left !important;
}

#bouton_image {
    display: none !important;
    background-image: url(images/image.svg);

}

#regle {
    background-image: url(images/regle.svg);
}

#zoom_in {
    background-image: url(images/zoom_in.svg);
}

#zoom_out {
    background-image: url(images/zoom_out.svg);
}

#souligne {
    background-image: url(images/souligne_rouge.svg);
    position: relative;
    top: 10px;
}

#carreaux {
    background-image: url(images/carreau_seyes.svg);
    position: relative;
    border-radius: 50%;
    border: 2px #000000 solid !important;
}

#bouton_deroule_souligne {    
    position: absolute;
    bottom: 53px;
    left: 50%;
    transform: translateX(-50%);
    width: 20px;
    height: 20px;
    background-image: url(images/couleurs.svg);
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 50;
    
    
}

#bouton_deroule_carreaux {
    position: absolute;
    bottom: 53px;
    left: 50%;
    transform: translateX(-50%);
    width: 40px;
    height: 20px;
    background-image: url(images/fleche_transp..svg);
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 50;
}

#nouveau {
    background-image: url(images/nouveau.svg);
}

#date {
    background-image: url(images/date.svg);
}

#copielien {
    background-image: url(images/copielien.svg);
}

#zone_couleur {
    border-radius: 50%;
    width: 46px;
    height: 46px;
    border: 2px solid black;
    overflow: hidden;
    vertical-align: bottom;
}

#applique_couleur {
    text-align: center;
    margin: 0 !important;
    height: 23px !important;
    border-radius: 0% 0% 100% 100%;
}

#lance_couleur {
    display: inline-block;
    background-image: url(images/fleche.svg);
    height: 23px !important;
    background-repeat: no-repeat !important;
    margin: 0 !important;
    border-radius: 100% 100% 0% 0% ;
}



#choix_police {
    background-image: url(images/aa_cursive.svg);

}

#bouton_ligatures {
    background-image: url(images/ligatures.svg);
    background-size: 50px 100px !important;
    background-position: 0% 100%;
}

#a_propos {
    background-image: url(images/question.svg);
    background-size: 50px 100px !important;
    background-position: 0% 100%;
}

#fullscreen {
    background-image: url(images/fullscreen.svg);
    background-size: 50px 100px !important;
    background-position: 0% 100%;
}

#zone_boutons_soulignement, #zone_choix_carreaux {
    display: inline-block;
}

#boutons_soulignement, #boutons_carreaux{
    position: absolute;
    vertical-align: middle;
    bottom: 76px;
    width: 62px;
    max-height: 1000px;
    margin: 0;
    overflow-y: hidden;
    background-color: #ffffff;
    border-radius: 5px 5px 0px 0px;
    border: 3px solid #000;
    border-bottom: none;    
    transition: all 0.5s linear;
}


#boutons_soulignement button, #boutons_carreaux button {
    display: inline-block;
    width: 50px;
    height: 50px;
    margin : 5px;
    background-color: transparent;
    border: none;
    background-size: contain;
    vertical-align: middle;    
}


#page {
    display: inline-block;
    position: relative;
    width:calc(80% - 3px);
    min-height: 100%;
    border-left: 3px solid red;    
}

#page::before {
    content: '';
    position: absolute;
    top: 0;
    left: -5px; /* Largeur de la "bordure" virtuelle */
    height: 100%;
    width: 5px; /* Largeur de la "bordure" virtuelle */
    cursor: ew-resize; /* Changer le curseur pour indiquer un redimensionnement horizontal */
}

#graphismes {
    height: 100%;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0px;
    left: 0px;
}

.trace {
    cursor: url(images/crayon.png) 0 30, auto;
}

.trait {
    border-radius: 3px;
    user-select: none;
    transition: width 0.2s linear, height 0.2s linear;
}

.trait:hover {
    box-shadow: 0 0 15px 10px rgb(34, 233, 16);
    cursor: pointer;
}

.trait.horizontal {
    transform: translateX(var(--decalage-depart)) translateY(var(--decalage-position));
}

.trait.vertical {
    transform: translateY(var(--decalage-depart)) translateX(var(--decalage-position));
}

.bouton-supprimer-trait, .bouton-couleur-trait {
    position: absolute;
    display: none;
    height: 10px;
    width: 10px;    
    box-sizing: content-box;
    padding: 10px;
    border-radius: 50%;
    border: none;
    outline: none;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    font-weight: bold;    
}

.bouton-supprimer-trait {
    background-image: url(images/supprime.svg);

}

.bouton-couleur-trait {
    background-image: url(images/couleurs.svg);    
}

.select>.bouton-supprimer-trait, .select>.bouton-couleur-trait{
    display: block;
}

.trait.horizontal>.bouton-supprimer-trait {
    top: 10px;
    left: 50%;
    transform: translateX(-50%);    
}

.trait.vertical>.bouton-supprimer-trait {
    left: 10px;
    top: 50%;
    transform: translateY(-50%);    
}

.trait.horizontal>.bouton-couleur-trait {
    top: -40px;
    left: 50%;
    transform: translateX(-50%);    
}

.trait.vertical>.bouton-couleur-trait {
    left: -40px;
    top: 50%;
    transform: translateY(-50%);    
}

.select {
    box-shadow: 0 0 15px 10px rgb(233, 255, 36) !important;
    cursor: pointer;
}

#page.trace .trait:hover {
    box-shadow: none !important;
}



.texte {
    position: relative;
    font-family: AA cursive;
    letter-spacing: 0.01em;    
    color: blue;
    overflow-wrap: anywhere;
    z-index: 1;
    font-feature-settings: "calt" 1;
}

.texte:focus {
    outline: none;
}

.souligne, u {
    text-decoration: underline;    
    text-decoration-thickness: 0.1em;
}


.rouge {
    text-decoration-color: rgb(255, 0, 0);
}
.bleu {
    text-decoration-color: blue;
}
.vert {
    text-decoration-color: green;
}
.jaune {
    text-decoration-color: rgb(219, 198, 4);
}
.rose {
    text-decoration-color: #ff00fdff;
}
.noir {
    text-decoration-color: black;
}
.vide {
    text-decoration-color: rgba(255,255,255,0);
}

.arial {
    font-family: Arial, Helvetica, sans-serif;
    line-height: 0px;
}

.lightbox {
    position: fixed;
    border: 5px solid black;
    border-radius: 15px;
    background-color: white;
    max-width: 80%;
    font-size: 20px;
    font-family: Arial, Helvetica, sans-serif;
    padding: 15px;
}

.lightbox button {
    padding:5px;
}

#zone_menu_police, #zone_menu_copie_lien {
    user-select: none;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#confirmation-nouveau {
    user-select: none;
    text-align: center;
    top: 50%;
    left: 50%;    
    transform: translate(-50%, -50%);
}

.voile {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0);
    z-index: 0;    
}

.draggable {
    z-index: 10;
}

#zone_lien {
    font-family: 'Courier New', Courier, monospace;
    font-size: 12px;
    user-select: all;
    background-color: rgb(216, 204, 204);
    text-align: left;
    max-height: 5em;
    margin-left: auto;
    margin-right: auto;
    width: 90%;
    padding: 1%;
    border: 1px solid #000;
    overflow-x: auto;
    word-break: break-all;
    margin-top: 5px;
    margin-bottom: 5px;
}

@media print {
    #boutons {
        display: none;
    }
}

.exposant {
    font-size: 75%;
    position: relative;
    top: -0.6em; /* Ajuste la hauteur pour un effet précis */
}

.context-menu {
    position: absolute;
    background-color: white;
    border: 1px solid #ccc;
    padding: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    width: 150px; /* Définir une largeur */
    display: block;
}

.context-menu-option {
    padding: 8px 12px;
    cursor: pointer;
}

.context-menu-option:hover {
    background-color: #f1f1f1;
}


.hide {
    display: none;
}

